Subject: Re: [PATCH] submodule: add --no-fetch parameter to update command

From: "Fabian Franz" <[email-masked]>
Date: Sat, 07 Feb 2009 16:44:25 +0100

> Fabian Franz <[email-masked]> writes:
> 
> > git submodule update --no-fetch makes it possible to use git submodule
> > update in complete offline mode by not fetching new revisions.
> >
> > This does make sense in the following setup:
> >
> > * There is an unstable and a stable branch in the super/master
> repository.
> > * The submodules might be at different revisions in the branches.
> > * You are at some place without internet connection ;)
> >
> > With this patch it is now possible to change branches and update
> > the submodules to be at the recorded revision without online access.
> 
> How is this better than "cd submodule/path && git checkout whatever"?

It is better if you have a complex setup recorded in the master repository.

If my co-worker commited his newest revisions for the "stable" branch, I
might not know which of his revisions I need to checkout.

> > Another advantage is that with -N the update operation is faster,
> > because fetch is checking for new updates even if there was no
> > fetch/pull on the super/master repository since the last update.
> 
> Do we know this is common enough to deserve a shortopt -N?

I don't think so, gonna resend later.

> The logic of the patch itself looks sane to me.

Nice.

Best Wishes,

Fabian